@import "../../../style/index.scss";

.calendar-item{ 
  width: 35px;
  height: 35px;
  padding: 4px 0;

  &__box{
    position: relative;

    height: 100%;
    width: 35px;
    margin: auto;

    line-height: 200%;
  
    border: 1px solid $white;
    border-radius: 50%;
  }

  &__active{
    color: $turquoise;
    border-color: $turquoise;

    cursor: pointer;
  }

  

  &__dropdown-text{
    position: absolute;
    z-index: 33;
    left: calc(-50%);
    top:calc(100% + 6px);

    display: none;

    width: 300px;
    
    text-align: left;

    &::after{
      content: "";
      position: absolute;
      top: -5px;
      left: 35px;

      border-left: solid 5px $blackTransparent95;
      border-top: solid 5px transparent;
    }
  }

  &__container{
    display: inline-block;
    
    padding: 6px 9px;
    min-width: 50px;

    border-radius: 10px;

    background-color: $blackTransparent95;
  }

  &__event-text{
    line-height: 20px;
    font-size: 15px;
    text-align: left;

    color: $white;
  }

  &:hover &__dropdown-text{
    display: inline-block;
  }
}



@media (max-width: $maxWidthCalendar){
  .calendar-item{ 
    width: 100%;
    padding: 0;

    line-height: 35px;

    &__dropdown-text{
      position: fixed;
      top: 10px;
      left: 30px;
      
      height: 40px;
     
      cursor: default;

      &::after{
        display: none;
      }
    }

    &__container{
      background-color:#ffffff;
      border:1px solid  $white;
    }

    &__event-text{
      padding: 15px;
      border-radius: 10px;
      color: $black;
    }

    &__box{
      width: 100%;

      border: 1px solid transparent;
      border-radius: 0;
    }

    &__active{
      border-color: $turquoise;
    }
  }
}